Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::transform2_view< Rng1, Rng2, Fun > Struct Template Reference
Views
Inheritance diagram for ranges::transform2_view< Rng1, Rng2, Fun >:

## Public Member Functions
constexpr | transform2_view (Rng1 rng1, Rng2 rng2, Fun fun)
Public Member Functions inherited from ranges::iter_transform2_view< Rng1, Rng2, indirected< Fun > >
constexpr | iter_transform2_view (Rng1 rng1, Rng2 rng2, indirected< Fun > fun)
constexpr auto | size ()
constexpr auto | size () const
Public Member Functions inherited from ranges::view_facade< iter_transform2_view< Rng1, Rng2, indirected< Fun > >, detail::transform2_cardinality(range_cardinality< Rng1 >::value, range_cardinality< Rng2 >::value)>
constexpr auto | begin () -> detail::facade_iterator_t< D >
| Let `d` be `static_cast<Derived &>(*this)`. Let `b` be `std::as_const(d).begin_cursor()` if that expression is well-formed; otherwise, let `b` be `d.begin_cursor()`. Let `B` be the type of `b`. More...
constexpr auto | begin () const -> detail::facade_iterator_t< D const >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
constexpr auto | end () -> detail::facade_sentinel_t< D >
| Let `d` be `static_cast<Derived &>(*this)`. Let `e` be `std::as_const(d).end_cursor()` if that expression is well-formed; otherwise, let `e` be `d.end_cursor()`. Let `E` be the type of `e`. More...
constexpr auto | end () const -> detail::facade_sentinel_t< D const >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from ranges::iter_transform2_view< Rng1, Rng2, indirected< Fun > >
static constexpr auto | size () -> std::size_t
Protected Member Functions inherited from ranges::view_facade< iter_transform2_view< Rng1, Rng2, indirected< Fun > >, detail::transform2_cardinality(range_cardinality< Rng1 >::value, range_cardinality< Rng2 >::value)>
constexpr view_as_cursor | begin_cursor () const
constexpr default_sentinel_t | end_cursor () const
Protected Attributes inherited from ranges::view_facade< iter_transform2_view< Rng1, Rng2, indirected< Fun > >, detail::transform2_cardinality(range_cardinality< Rng1 >::value, range_cardinality< Rng2 >::value)>
friend | range_access